﻿﻿:root {
    --pb-border-radius: 0;
    --pb-gap: 5px;
}

.image-gallery-container {
    padding: 5px 24px;
    box-sizing: border-box;
}

/* column layout */
.image-gallery-column {
    /* Mobile first */
    display: flex;
    flex-direction: column;
    gap: var(--pb-gap);
}

.image-gallery-column .column {
    display: flex;
    flex-direction: column;
    gap: var(--pb-gap);
}

.image-gallery-column .column > div {
    position: relative;
}

.image-gallery-column .column > div img {
    width: 100%;
    border-radius: var(--pb-border-radius);
    height: 100%;
    object-fit: cover;

    -webkit-transition: all .4s;
    transition: all .4s;
}
.image-gallery-grid .column > div img:hover {
    transform: scale3d(1,1,1);
    -webkit-transform: scale3d(1,1,1);
}

@media only screen and (min-width: 768px) {
    .image-gallery-column {
        flex-direction: row;
    }
}
/* row layout */
.image-gallery-row {
    display: flex;
    flex-wrap: wrap;
    gap: var(--pb-gap);
}

.image-gallery-row > li {
    flex: 1 1 auto; /* or flex: auto; */
    height: 300px;
    cursor: pointer;
    position: relative;
}

.image-gallery-row::after {
    content: "";
    flex-grow: 999;
}

.image-gallery-row li img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    vertical-align: middle;
    border-radius: var(--pb-border-radius);

    -webkit-transition: all .4s;
    transition: all .4s;
}
.image-gallery-grid li img:hover {
    transform: scale3d(1,1,1);
    -webkit-transform: scale3d(1,1,1);
}

/* grid layout */
.image-gallery-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: var(--pb-gap);
}

.image-gallery-grid > li {
    flex-basis: 350px; /*width: 350px;*/
    position: relative;
    cursor: pointer;
}

.image-gallery-grid::after {
    content: "";
    flex-basis: 350px;
}

.image-gallery-grid li img {
    object-fit: cover;
    max-width: 100%;
    height: auto;
    vertical-align: middle;
    border-radius: var(--pb-border-radius);

    -webkit-transition: all .4s;
    transition: all .4s;
}
.image-gallery-grid li img:hover {
    transform: scale3d(1,1,1);
    -webkit-transform: scale3d(1,1,1);
}

/* overlay */
.image-gallery-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    color: #fff;
    border-radius: var(--pb-border-radius);
    /* center overlay content */
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: zoom-in:
}
.image-gallery-overlay:hover {
    opacity: 1;
}

.image-gallery-overlay .search-result-item-author {
    position: absolute;
    bottom: 20px;
    left: 20px;
    display: flex;
    align-items: center;
}
.image-gallery-overlay .search-result-item-author-img {
    width: 40px;
    height: 40px;
    border-radius: 100%;
    overflow: hidden;
}
.image-gallery-overlay .search-result-item-author-name {
    margin-left: 12px;
}
.image-gallery-overlay .search-result-item-like, .image-gallery-overlay .search-result-item-download {
    position: absolute;
    bottom: 24px;
    right: 24px;
    transition: all 0.4s;
    cursor: pointer;
}
.image-gallery-overlay .search-result-item-download {
    right: 72px;
}
.image-gallery-overlay .search-result-item-like > a, .image-gallery-overlay .search-result-item-download > a {
    background: #FFFFFF;
    color: #707070;
    border: none;
    font-size: 14px;
    padding: 0px 10px;
    line-height: 34px;
    height: 34px;
}
.image-gallery-overlay .search-result-item-like > a > span, .image-gallery-overlay .search-result-item-download > a > span {
    color: #707070;
    transition: all 0.3s;
    line-height: 34px;
}
.image-gallery-overlay .search-result-item-like > a > span {
    color:#ef3f09 ;
}
